<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: row_number</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for row_number {SparkR}"><tr><td>row_number {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>row_number</h2>

<h3>Description</h3>

<p>Window function: returns a sequential number starting at 1 within a window partition.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'missing'
row_number()

row_number(x)
</pre>


<h3>Details</h3>

<p>This is equivalent to the ROW_NUMBER function in SQL.
</p>


<h3>See Also</h3>

<p>Other window_funcs: <code><a href="cume_dist.html">cume_dist</a></code>,
<code><a href="cume_dist.html">cume_dist</a></code>; <code><a href="dense_rank.html">dense_rank</a></code>,
<code><a href="dense_rank.html">dense_rank</a></code>; <code><a href="lag.html">lag</a></code>,
<code><a href="lag.html">lag</a></code>; <code><a href="lead.html">lead</a></code>,
<code><a href="lead.html">lead</a></code>; <code><a href="ntile.html">ntile</a></code>,
<code><a href="ntile.html">ntile</a></code>; <code><a href="percent_rank.html">percent_rank</a></code>,
<code><a href="percent_rank.html">percent_rank</a></code>; <code><a href="rank.html">rank</a></code>,
<code><a href="rank.html">rank</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: row_number()
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
